Subject: Re: gcc 4.3 (was: gettext latest vers. 0.17)
From: Tatsuro MATSUOKA <[email-masked]>
To: [email-masked], INVALID_ADDRESS@.SYNTAX-ERROR
Cc: [email-masked]
Date: Sun, 6 Apr 2008 13:44:29 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

I have read your reply with a great interest.
I do not know that you have remember it we have discussed the EH on octave.
I do not want to discuss the matter here.

I also have build GCC-4.3.0(gcc, gfortran, g++).
The build by gnuplot4.3 by GCC-4.3.0.
It have been done without problem and the performace of binaries are fairly good compared to those
built by the standard the cygwin GCC.

Of course, it is a fortunate example.  In principle, there exist many problems to use it.
I have tried to octave build by GCC-4.3.0, it failed as expected.

For users standpoint, which EH is better sjlj ot dwarf2 does not matter.
Users always would like to seek the fast and stable compliers.

I respect that cygwin team staffs are paying effors for preparing good complilers.

I hope that thier effrots will be successful in the cygwin 1.7.

Sincerely,

Tatsuro MATSUOKA  

 

--- Brian Dessent <[email-masked]> wrote:
> 
> Yes, that is my email address and yes I read messages sent there.  I'm
> sorry that I didn't reply.  I generally ignore or deprioritize people
> who email me directly asking something because I feel that replying on
> mailing lists is a lot better use of my time than sending personal
> emails.  Further, I just got back from traveling and had a backlog of
> thousands of messages across a number of mailing lists, so I've been
> working my way through that.
> 
> The topic that you asked about (gcc 4.3) is complex, and I feel it has
> been covered in the archives sufficiently that I didn't feel like
> writing another essay on the topic.  It is far from "quiet" as you
> suggest.  Here are some recent threads:
> 
> http://thread.gmane.org/gmane.comp.gnu.mingw.user/25885/focus=25930
> http://cygwin.com/ml/cygwin-apps/2007-11/threads.html#00051 (and
> continued in december:
> http://cygwin.com/ml/cygwin-apps/2007-12/threads.html#00053)
> 
> In short: Exception handling is a complicated situation, both because of
> the lack of upstream support for shared target libraries as well as the
> desire to transition away from SJLJ.  I think the above threads pretty
> clearly spell out what issues are still required to be addressed and
> what pains we may encounter when moving to a very different version of
> gcc as the default.

--------------------------------------
GANBARE! NIPPON! Win your ticket to Olympic Games 2008.
http://pr.mail.yahoo.co.jp/ganbare-nippon/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/